Trouble getting java 8 to work

Questions about applications and software
Forum rules
Before you post please read how to get help
Post Reply
John Mxds
Level 1
Level 1
Posts: 1
Joined: Sat Jan 09, 2021 6:30 pm

Trouble getting java 8 to work

Post by John Mxds »

I am running LMDE 4 64 Bit Debian Version: 10.2
When i try to install openjdk 8 it gives me this. (I have uninstalled openjdk-11-jre correctly and also did autoremove)

Code: Select all

john@pc:~$ sudo apt-get install openjdk-8-jre
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Package openjdk-8-jre is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
However the following packages replace it:
  nvidia-openjdk-8-jre

E: Package 'openjdk-8-jre' has no installation candidate
When i try installing nvidia-openjdk-8-jre it says its installed but when i run java -version it greets me with an unknown command reply

Code: Select all

john@pc:~$ sudo apt-get install nvidia-openjdk-8-jre
Reading package lists... Done
Building dependency tree       
Reading state information... Done
nvidia-openjdk-8-jre is already the newest version (9.+8u77~9.2.148-7).
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
john@pc:~$ java -version
bash: /usr/bin/java: No such file or directory
Tenebris_Umbra
Level 1
Level 1
Posts: 7
Joined: Thu May 23, 2019 9:23 pm

Re: Trouble getting java 8 to work

Post by Tenebris_Umbra »

You grab a special version, try; openjdk-11-jdk and default-jdk

From the package info:

NVIDIA provided OpenJDK Java runtime, using Hotspot JIT

Full Java runtime environment - needed for executing Java GUI and Webstart
programs, using Hotspot JIT.

This package provides the openjdk-8 binaries shipped with the
NVIDIA CUDA Toolkit, this obsolete version is needed for
nvidia-visual-profiler and nvidia-nsight.
Post Reply

Return to “Software & Applications”